Bug 481570 - (CVE-2009-0317) CVE-2009-0317 nautilus-python: untrusted python modules search path
CVE-2009-0317 nautilus-python: untrusted python modules search path
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://www.nabble.com/Bug-484305%3A-b...
public=20080806,reported=20081112,sou...
: Security
Depends On: CVE-2008-5983
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-26 08:19 EST by Jan Lieskovsky
Modified: 2015-08-22 11:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-22 11:12:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2009-01-26 08:19:34 EST
Untrusted search path vulnerability in the Python language bindings 
for Nautilus allows local users to execute arbitrary code via a Trojan
horse Python file in the current working directory, related to an erroneous setting of sys.path by the PySys_SetArgv function.

References (more details, PoC):
http://www.nabble.com/Bug-484305%3A-bicyclerepair%3A-bike.vim-imports-untrusted-python-files-from-cwd-td18848099.html

Proposed patch:
The Debian patch for similar dia's Python related issue,
available at:

http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=5;filename=pythonpath.diff;att=1;bug=504251

should be sufficient to resolve this issue.
Comment 1 Jan Lieskovsky 2009-01-26 08:20:17 EST
This issue affects all versions of the nautilus-python package, as shipped
with Fedora releases of 9, 10 and devel.

Please fix.
Comment 2 Jan Lieskovsky 2009-01-28 06:04:18 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2009-0317 to
this vulnerability:

Untrusted search path vulnerability in the Python language bindings
for Nautilus (nautilus-python) allows local users to execute arbitrary
code via a Trojan horse Python file in the current working directory,
related to a vulnerability in the PySys_SetArgv function
(CVE-2008-5983).

References:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-0317
http://www.openwall.com/lists/oss-security/2009/01/26/2
https://bugzilla.redhat.com/show_bug.cgi?id=481570
Comment 3 Jan Lieskovsky 2009-01-29 06:28:12 EST
More explanation why this issue wasn't fixed in Python yet, can be
found here:

https://bugzilla.redhat.com/show_bug.cgi?id=482814#c1

here:

https://bugzilla.redhat.com/show_bug.cgi?id=482814#c4

and here:

https://bugzilla.redhat.com/show_bug.cgi?id=482814#c5

Looks like the Python fix won't come anytime soon, so please
fix the issue in the package, till we find the proper Python solution.

Ray Strode's test case to check the work of the fix can be found here:

https://bugzilla.redhat.com/show_bug.cgi?id=481556#c8

Note You need to log in before you can comment on or make changes to this bug.